VST 3 Examples: TestToneProcessor Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TestToneProcessor Class Reference

`#include <mdaTestToneProcessor.h>`

Inheritance diagram for TestToneProcessor:

## Public Member Functions
| TestToneProcessor ()
| ~TestToneProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x0AF801E5, 0x0B0D4D9B, 0xBB657671, 0xAC8F7847)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE
ParamValue & | param (TestToneParam p)

## Protected Attributes
float | thru
float | left
float | right
float | len
float | zz0
float | zz1
float | zz2
float | zz3
float | zz4
float | zz5
float | phi
float | dphi
float | sw
float | swd
float | swx
float | fscale
float | cal
float | calx
int32 | swt
int32 | mode

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

TestToneProcessor | ( |  | ) |

~TestToneProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inlinevirtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inlinestatic

static DECLARE_UID | ( | uid | ,
|  | 0x0AF801E5 | ,
|  | 0x0B0D4D9B | ,
|  | 0xBB657671 | ,
|  | 0xAC8F7847 |
| ) |  |
| inlinestatic

void recalculate | ( |  | ) |
| protectedvirtual

Reimplemented from Processor.

ParamValue& param | ( | TestToneParam | p | ) |
| inlineprotected

## Member Data Documentation

float thru
| protected

float left
| protected

float right
| protected

float len
| protected

float zz0
| protected

float zz1
| protected

float zz2
| protected

float zz3
| protected

float zz4
| protected

float zz5
| protected

float phi
| protected

float dphi
| protected

float sw
| protected

float swd
| protected

float swx
| protected

float fscale
| protected

float cal
| protected

float calx
| protected

int32 swt
| protected

int32 mode
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.